# Player ID validation (deprecated)

This webhook is deprecated. Xsolla sends the User validation webhook instead. Xsolla sends a webhook with the user_validation type to the webhook URL to verify that a player is registered in the game. The request is sent before moving virtual items or currency to the game process.

Endpoint: POST user-validation
Version: 1.0.0

## Request fields (application/json):

  - `notification_type` (string, required)
    Type of notification.

  - `settings` (object, required)
    Custom project settings.

  - `settings.merchant_id` (integer, required)
    Merchant ID. You can find this parameter in your Publisher Account:
  - in the Company settings > Company section.
  - in the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com//.

  - `settings.project_id` (integer, required)
    Project ID. You can find this parameter in your Publisher Account next to the name of the project.

  - `user` (object, required)
    User information.

  - `user.id` (string, required)
    Player ID in the game.

## Response 404 fields (application/json):

  - `error` (object)

  - `error.code` (string)

  - `error.message` (string)

## Response 500 fields (application/json):

  - `error` (object)

  - `error.code` (string)

  - `error.message` (string)


## Response 200 fields
